chiark / gitweb /
Remove "junk".
[adns] / configure
CommitLineData
11b35193 1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169EOF
170 cat << EOF
171Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.12"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392done
393
394if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409 exec 6>/dev/null
410else
411 exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set. These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=src/adns.h
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466else
467 ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491done
492
493if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496else
497 echo "creating cache $cache_file"
498 > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=
515 fi
516else
517 ac_n= ac_c='\c' ac_t=
518fi
519
520
521
522# Extract the first word of "gcc", so it can be a program name with args.
523set dummy gcc; ac_word=$2
524echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
525echo "configure:526: checking for $ac_word" >&5
526if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
527 echo $ac_n "(cached) $ac_c" 1>&6
528else
529 if test -n "$CC"; then
530 ac_cv_prog_CC="$CC" # Let the user override the test.
531else
532 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
533 for ac_dir in $PATH; do
534 test -z "$ac_dir" && ac_dir=.
535 if test -f $ac_dir/$ac_word; then
536 ac_cv_prog_CC="gcc"
537 break
538 fi
539 done
540 IFS="$ac_save_ifs"
541fi
542fi
543CC="$ac_cv_prog_CC"
544if test -n "$CC"; then
545 echo "$ac_t""$CC" 1>&6
546else
547 echo "$ac_t""no" 1>&6
548fi
549
550if test -z "$CC"; then
551 # Extract the first word of "cc", so it can be a program name with args.
552set dummy cc; ac_word=$2
553echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
554echo "configure:555: checking for $ac_word" >&5
555if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
556 echo $ac_n "(cached) $ac_c" 1>&6
557else
558 if test -n "$CC"; then
559 ac_cv_prog_CC="$CC" # Let the user override the test.
560else
561 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
562 ac_prog_rejected=no
563 for ac_dir in $PATH; do
564 test -z "$ac_dir" && ac_dir=.
565 if test -f $ac_dir/$ac_word; then
566 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
567 ac_prog_rejected=yes
568 continue
569 fi
570 ac_cv_prog_CC="cc"
571 break
572 fi
573 done
574 IFS="$ac_save_ifs"
575if test $ac_prog_rejected = yes; then
576 # We found a bogon in the path, so make sure we never use it.
577 set dummy $ac_cv_prog_CC
578 shift
579 if test $# -gt 0; then
580 # We chose a different compiler from the bogus one.
581 # However, it has the same basename, so the bogon will be chosen
582 # first if we set CC to just the basename; use the full file name.
583 shift
584 set dummy "$ac_dir/$ac_word" "$@"
585 shift
586 ac_cv_prog_CC="$@"
587 fi
588fi
589fi
590fi
591CC="$ac_cv_prog_CC"
592if test -n "$CC"; then
593 echo "$ac_t""$CC" 1>&6
594else
595 echo "$ac_t""no" 1>&6
596fi
597
598 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
599fi
600
601echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
602echo "configure:603: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
603
604ac_ext=c
605# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
606ac_cpp='$CPP $CPPFLAGS'
607ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
608ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
609cross_compiling=$ac_cv_prog_cc_cross
610
611cat > conftest.$ac_ext <<EOF
612#line 613 "configure"
613#include "confdefs.h"
614main(){return(0);}
615EOF
616if { (eval echo configure:617: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
617 ac_cv_prog_cc_works=yes
618 # If we can't run a trivial program, we are probably using a cross compiler.
619 if (./conftest; exit) 2>/dev/null; then
620 ac_cv_prog_cc_cross=no
621 else
622 ac_cv_prog_cc_cross=yes
623 fi
624else
625 echo "configure: failed program was:" >&5
626 cat conftest.$ac_ext >&5
627 ac_cv_prog_cc_works=no
628fi
629rm -fr conftest*
630
631echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
632if test $ac_cv_prog_cc_works = no; then
633 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
634fi
635echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
636echo "configure:637: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
637echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
638cross_compiling=$ac_cv_prog_cc_cross
639
640echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
641echo "configure:642: checking whether we are using GNU C" >&5
642if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
643 echo $ac_n "(cached) $ac_c" 1>&6
644else
645 cat > conftest.c <<EOF
646#ifdef __GNUC__
647 yes;
648#endif
649EOF
650if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:651: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
651 ac_cv_prog_gcc=yes
652else
653 ac_cv_prog_gcc=no
654fi
655fi
656
657echo "$ac_t""$ac_cv_prog_gcc" 1>&6
658
659if test $ac_cv_prog_gcc = yes; then
660 GCC=yes
661 ac_test_CFLAGS="${CFLAGS+set}"
662 ac_save_CFLAGS="$CFLAGS"
663 CFLAGS=
664 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
665echo "configure:666: checking whether ${CC-cc} accepts -g" >&5
666if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
667 echo $ac_n "(cached) $ac_c" 1>&6
668else
669 echo 'void f(){}' > conftest.c
670if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
671 ac_cv_prog_cc_g=yes
672else
673 ac_cv_prog_cc_g=no
674fi
675rm -f conftest*
676
677fi
678
679echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
680 if test "$ac_test_CFLAGS" = set; then
681 CFLAGS="$ac_save_CFLAGS"
682 elif test $ac_cv_prog_cc_g = yes; then
683 CFLAGS="-g -O2"
684 else
685 CFLAGS="-O2"
686 fi
687else
688 GCC=
689 test "${CFLAGS+set}" = set || CFLAGS="-g"
690fi
691
9579019a 692# Extract the first word of "ranlib", so it can be a program name with args.
693set dummy ranlib; ac_word=$2
694echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
695echo "configure:696: checking for $ac_word" >&5
696if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
697 echo $ac_n "(cached) $ac_c" 1>&6
698else
699 if test -n "$RANLIB"; then
700 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
701else
702 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
703 for ac_dir in $PATH; do
704 test -z "$ac_dir" && ac_dir=.
705 if test -f $ac_dir/$ac_word; then
706 ac_cv_prog_RANLIB="ranlib"
707 break
708 fi
709 done
710 IFS="$ac_save_ifs"
711 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
712fi
713fi
714RANLIB="$ac_cv_prog_RANLIB"
715if test -n "$RANLIB"; then
716 echo "$ac_t""$RANLIB" 1>&6
717else
718 echo "$ac_t""no" 1>&6
719fi
720
8b5269f2 721
620c146d 722for ac_func in poll
723do
724echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
725echo "configure:726: checking for $ac_func" >&5
726if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
727 echo $ac_n "(cached) $ac_c" 1>&6
728else
729 cat > conftest.$ac_ext <<EOF
730#line 731 "configure"
731#include "confdefs.h"
732/* System header to define __stub macros and hopefully few prototypes,
733 which can conflict with char $ac_func(); below. */
734#include <assert.h>
735/* Override any gcc2 internal prototype to avoid an error. */
736/* We use char because int might match the return type of a gcc2
737 builtin and then its argument prototype would still apply. */
738char $ac_func();
739
740int main() {
741
742/* The GNU C library defines this for functions which it implements
743 to always fail with ENOSYS. Some functions are actually named
744 something starting with __ and the normal name is an alias. */
745#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
746choke me
747#else
748$ac_func();
749#endif
750
751; return 0; }
752EOF
753if { (eval echo configure:754: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
754 rm -rf conftest*
755 eval "ac_cv_func_$ac_func=yes"
756else
757 echo "configure: failed program was:" >&5
758 cat conftest.$ac_ext >&5
759 rm -rf conftest*
760 eval "ac_cv_func_$ac_func=no"
761fi
762rm -f conftest*
763fi
764
765if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
766 echo "$ac_t""yes" 1>&6
767 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
768 cat >> confdefs.h <<EOF
769#define $ac_tr_func 1
770EOF
771
772else
773 echo "$ac_t""no" 1>&6
774fi
775done
776
8b5269f2 777
778 echo $ac_n "checking for socket""... $ac_c" 1>&6
620c146d 779echo "configure:780: checking for socket" >&5
8b5269f2 780if eval "test \"`echo '$''{'ac_cv_func_socket'+set}'`\" = set"; then
781 echo $ac_n "(cached) $ac_c" 1>&6
782else
783 cat > conftest.$ac_ext <<EOF
620c146d 784#line 785 "configure"
8b5269f2 785#include "confdefs.h"
786/* System header to define __stub macros and hopefully few prototypes,
787 which can conflict with char socket(); below. */
788#include <assert.h>
789/* Override any gcc2 internal prototype to avoid an error. */
790/* We use char because int might match the return type of a gcc2
791 builtin and then its argument prototype would still apply. */
792char socket();
793
794int main() {
795
796/* The GNU C library defines this for functions which it implements
797 to always fail with ENOSYS. Some functions are actually named
798 something starting with __ and the normal name is an alias. */
799#if defined (__stub_socket) || defined (__stub___socket)
800choke me
801#else
802socket();
803#endif
804
805; return 0; }
806EOF
620c146d 807if { (eval echo configure:808: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
8b5269f2 808 rm -rf conftest*
809 eval "ac_cv_func_socket=yes"
810else
811 echo "configure: failed program was:" >&5
812 cat conftest.$ac_ext >&5
813 rm -rf conftest*
814 eval "ac_cv_func_socket=no"
815fi
816rm -f conftest*
817fi
818
819if eval "test \"`echo '$ac_cv_func_'socket`\" = yes"; then
820 echo "$ac_t""yes" 1>&6
821 :
822else
823 echo "$ac_t""no" 1>&6
824
825 echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
620c146d 826echo "configure:827: checking for socket in -lsocket" >&5
eec1d9c8 827ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
828if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
829 echo $ac_n "(cached) $ac_c" 1>&6
830else
831 ac_save_LIBS="$LIBS"
832LIBS="-lsocket $LIBS"
833cat > conftest.$ac_ext <<EOF
620c146d 834#line 835 "configure"
eec1d9c8 835#include "confdefs.h"
836/* Override any gcc2 internal prototype to avoid an error. */
837/* We use char because int might match the return type of a gcc2
838 builtin and then its argument prototype would still apply. */
839char socket();
840
841int main() {
842socket()
843; return 0; }
844EOF
620c146d 845if { (eval echo configure:846: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
eec1d9c8 846 rm -rf conftest*
847 eval "ac_cv_lib_$ac_lib_var=yes"
848else
849 echo "configure: failed program was:" >&5
850 cat conftest.$ac_ext >&5
851 rm -rf conftest*
852 eval "ac_cv_lib_$ac_lib_var=no"
853fi
854rm -f conftest*
855LIBS="$ac_save_LIBS"
856
857fi
858if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
859 echo "$ac_t""yes" 1>&6
860 ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
861 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
862 cat >> confdefs.h <<EOF
863#define $ac_tr_lib 1
864EOF
865
866 LIBS="-lsocket $LIBS"
867
868else
869 echo "$ac_t""no" 1>&6
8b5269f2 870
871 { echo "configure: error: cannot find library function socket" 1>&2; exit 1; }
872
873fi
874
875
876fi
877
878
879
880 echo $ac_n "checking for inet_ntoa""... $ac_c" 1>&6
620c146d 881echo "configure:882: checking for inet_ntoa" >&5
8b5269f2 882if eval "test \"`echo '$''{'ac_cv_func_inet_ntoa'+set}'`\" = set"; then
883 echo $ac_n "(cached) $ac_c" 1>&6
884else
885 cat > conftest.$ac_ext <<EOF
620c146d 886#line 887 "configure"
8b5269f2 887#include "confdefs.h"
888/* System header to define __stub macros and hopefully few prototypes,
889 which can conflict with char inet_ntoa(); below. */
890#include <assert.h>
891/* Override any gcc2 internal prototype to avoid an error. */
892/* We use char because int might match the return type of a gcc2
893 builtin and then its argument prototype would still apply. */
894char inet_ntoa();
895
896int main() {
897
898/* The GNU C library defines this for functions which it implements
899 to always fail with ENOSYS. Some functions are actually named
900 something starting with __ and the normal name is an alias. */
901#if defined (__stub_inet_ntoa) || defined (__stub___inet_ntoa)
902choke me
903#else
904inet_ntoa();
905#endif
906
907; return 0; }
908EOF
620c146d 909if { (eval echo configure:910: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
8b5269f2 910 rm -rf conftest*
911 eval "ac_cv_func_inet_ntoa=yes"
912else
913 echo "configure: failed program was:" >&5
914 cat conftest.$ac_ext >&5
915 rm -rf conftest*
916 eval "ac_cv_func_inet_ntoa=no"
917fi
918rm -f conftest*
919fi
920
921if eval "test \"`echo '$ac_cv_func_'inet_ntoa`\" = yes"; then
922 echo "$ac_t""yes" 1>&6
923 :
924else
925 echo "$ac_t""no" 1>&6
926
927 echo $ac_n "checking for inet_ntoa in -lnsl""... $ac_c" 1>&6
620c146d 928echo "configure:929: checking for inet_ntoa in -lnsl" >&5
8b5269f2 929ac_lib_var=`echo nsl'_'inet_ntoa | sed 'y%./+-%__p_%'`
930if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
931 echo $ac_n "(cached) $ac_c" 1>&6
932else
933 ac_save_LIBS="$LIBS"
934LIBS="-lnsl $LIBS"
935cat > conftest.$ac_ext <<EOF
620c146d 936#line 937 "configure"
8b5269f2 937#include "confdefs.h"
938/* Override any gcc2 internal prototype to avoid an error. */
939/* We use char because int might match the return type of a gcc2
940 builtin and then its argument prototype would still apply. */
941char inet_ntoa();
942
943int main() {
944inet_ntoa()
945; return 0; }
946EOF
620c146d 947if { (eval echo configure:948: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
8b5269f2 948 rm -rf conftest*
949 eval "ac_cv_lib_$ac_lib_var=yes"
950else
951 echo "configure: failed program was:" >&5
952 cat conftest.$ac_ext >&5
953 rm -rf conftest*
954 eval "ac_cv_lib_$ac_lib_var=no"
955fi
956rm -f conftest*
957LIBS="$ac_save_LIBS"
958
959fi
960if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
961 echo "$ac_t""yes" 1>&6
962 ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
963 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
964 cat >> confdefs.h <<EOF
965#define $ac_tr_lib 1
966EOF
967
968 LIBS="-lnsl $LIBS"
969
970else
971 echo "$ac_t""no" 1>&6
972
973 { echo "configure: error: cannot find library function inet_ntoa" 1>&2; exit 1; }
974
975fi
976
977
978fi
979
980
981
982
983 echo $ac_n "checking for inet_aton""... $ac_c" 1>&6
620c146d 984echo "configure:985: checking for inet_aton" >&5
8b5269f2 985if eval "test \"`echo '$''{'ac_cv_func_inet_aton'+set}'`\" = set"; then
986 echo $ac_n "(cached) $ac_c" 1>&6
987else
988 cat > conftest.$ac_ext <<EOF
620c146d 989#line 990 "configure"
8b5269f2 990#include "confdefs.h"
991/* System header to define __stub macros and hopefully few prototypes,
992 which can conflict with char inet_aton(); below. */
993#include <assert.h>
994/* Override any gcc2 internal prototype to avoid an error. */
995/* We use char because int might match the return type of a gcc2
996 builtin and then its argument prototype would still apply. */
997char inet_aton();
998
999int main() {
1000
1001/* The GNU C library defines this for functions which it implements
1002 to always fail with ENOSYS. Some functions are actually named
1003 something starting with __ and the normal name is an alias. */
1004#if defined (__stub_inet_aton) || defined (__stub___inet_aton)
1005choke me
1006#else
1007inet_aton();
1008#endif
1009
1010; return 0; }
1011EOF
620c146d 1012if { (eval echo configure:1013: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
8b5269f2 1013 rm -rf conftest*
1014 eval "ac_cv_func_inet_aton=yes"
1015else
1016 echo "configure: failed program was:" >&5
1017 cat conftest.$ac_ext >&5
1018 rm -rf conftest*
1019 eval "ac_cv_func_inet_aton=no"
1020fi
1021rm -f conftest*
1022fi
1023
1024if eval "test \"`echo '$ac_cv_func_'inet_aton`\" = yes"; then
1025 echo "$ac_t""yes" 1>&6
1026 :
1027else
1028 echo "$ac_t""no" 1>&6
1029
1030 echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
620c146d 1031echo "configure:1032: checking for inet_aton in -lresolv" >&5
8b5269f2 1032ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
1033if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1034 echo $ac_n "(cached) $ac_c" 1>&6
1035else
1036 ac_save_LIBS="$LIBS"
1037LIBS="-lresolv $LIBS"
1038cat > conftest.$ac_ext <<EOF
620c146d 1039#line 1040 "configure"
8b5269f2 1040#include "confdefs.h"
1041/* Override any gcc2 internal prototype to avoid an error. */
1042/* We use char because int might match the return type of a gcc2
1043 builtin and then its argument prototype would still apply. */
1044char inet_aton();
1045
1046int main() {
1047inet_aton()
1048; return 0; }
1049EOF
620c146d 1050if { (eval echo configure:1051: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
8b5269f2 1051 rm -rf conftest*
1052 eval "ac_cv_lib_$ac_lib_var=yes"
1053else
1054 echo "configure: failed program was:" >&5
1055 cat conftest.$ac_ext >&5
1056 rm -rf conftest*
1057 eval "ac_cv_lib_$ac_lib_var=no"
1058fi
1059rm -f conftest*
1060LIBS="$ac_save_LIBS"
1061
1062fi
1063if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1064 echo "$ac_t""yes" 1>&6
1065
1066 LIBS="-lresolv $LIBS";
1067 echo "configure: warning: inet_aton is in libresolv, urgh. Must use -lresolv." 1>&2
1068
1069else
1070 echo "$ac_t""no" 1>&6
1071
1072 { echo "configure: error: cannot find library function inet_aton" 1>&2; exit 1; }
1073
1074fi
1075
1076
1077fi
1078
1079
1080
1081
11b35193 1082
1083 echo $ac_n "checking __attribute__((,,))""... $ac_c" 1>&6
620c146d 1084echo "configure:1085: checking __attribute__((,,))" >&5
11b35193 1085 if eval "test \"`echo '$''{'adns_cv_c_attribute_supported'+set}'`\" = set"; then
1086 echo $ac_n "(cached) $ac_c" 1>&6
1087else
1088
1089 cat > conftest.$ac_ext <<EOF
620c146d 1090#line 1091 "configure"
11b35193 1091#include "confdefs.h"
1092
1093int main() {
1094extern int testfunction(int x) __attribute__((,,))
1095; return 0; }
1096EOF
620c146d 1097if { (eval echo configure:1098: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
11b35193 1098 rm -rf conftest*
1099 adns_cv_c_attribute_supported=yes
1100else
1101 echo "configure: failed program was:" >&5
1102 cat conftest.$ac_ext >&5
1103 rm -rf conftest*
1104 adns_cv_c_attribute_supported=no
1105fi
1106rm -f conftest*
1107
1108fi
1109
1110 if test "x$adns_cv_c_attribute_supported" = xyes; then
1111 true
1112 echo "$ac_t""yes" 1>&6
1113 cat >> confdefs.h <<\EOF
1114#define HAVE_GNUC25_ATTRIB 1
1115EOF
1116
1117
1118 echo $ac_n "checking __attribute__((noreturn))""... $ac_c" 1>&6
620c146d 1119echo "configure:1120: checking __attribute__((noreturn))" >&5
11b35193 1120 if eval "test \"`echo '$''{'adns_cv_c_attribute_noreturn'+set}'`\" = set"; then
1121 echo $ac_n "(cached) $ac_c" 1>&6
1122else
1123
1124 cat > conftest.$ac_ext <<EOF
620c146d 1125#line 1126 "configure"
11b35193 1126#include "confdefs.h"
1127
1128int main() {
1129extern int testfunction(int x) __attribute__((noreturn))
1130; return 0; }
1131EOF
620c146d 1132if { (eval echo configure:1133: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
11b35193 1133 rm -rf conftest*
1134 adns_cv_c_attribute_noreturn=yes
1135else
1136 echo "configure: failed program was:" >&5
1137 cat conftest.$ac_ext >&5
1138 rm -rf conftest*
1139 adns_cv_c_attribute_noreturn=no
1140fi
1141rm -f conftest*
1142
1143fi
1144
1145 if test "x$adns_cv_c_attribute_noreturn" = xyes; then
1146 true
1147 echo "$ac_t""yes" 1>&6
1148 cat >> confdefs.h <<\EOF
1149#define HAVE_GNUC25_NORETURN 1
1150EOF
1151
1152 else
1153 true
1154 echo "$ac_t""no" 1>&6
1155 fi
1156
1157
1158 echo $ac_n "checking __attribute__((const))""... $ac_c" 1>&6
620c146d 1159echo "configure:1160: checking __attribute__((const))" >&5
11b35193 1160 if eval "test \"`echo '$''{'adns_cv_c_attribute_const'+set}'`\" = set"; then
1161 echo $ac_n "(cached) $ac_c" 1>&6
1162else
1163
1164 cat > conftest.$ac_ext <<EOF
620c146d 1165#line 1166 "configure"
11b35193 1166#include "confdefs.h"
1167
1168int main() {
1169extern int testfunction(int x) __attribute__((const))
1170; return 0; }
1171EOF
620c146d 1172if { (eval echo configure:1173: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
11b35193 1173 rm -rf conftest*
1174 adns_cv_c_attribute_const=yes
1175else
1176 echo "configure: failed program was:" >&5
1177 cat conftest.$ac_ext >&5
1178 rm -rf conftest*
1179 adns_cv_c_attribute_const=no
1180fi
1181rm -f conftest*
1182
1183fi
1184
1185 if test "x$adns_cv_c_attribute_const" = xyes; then
1186 true
1187 echo "$ac_t""yes" 1>&6
1188 cat >> confdefs.h <<\EOF
1189#define HAVE_GNUC25_CONST 1
1190EOF
1191
1192 else
1193 true
1194 echo "$ac_t""no" 1>&6
1195 fi
1196
1197
1198 echo $ac_n "checking __attribute__((format...))""... $ac_c" 1>&6
620c146d 1199echo "configure:1200: checking __attribute__((format...))" >&5
11b35193 1200 if eval "test \"`echo '$''{'adns_cv_attribute_format'+set}'`\" = set"; then
1201 echo $ac_n "(cached) $ac_c" 1>&6
1202else
1203
1204 cat > conftest.$ac_ext <<EOF
620c146d 1205#line 1206 "configure"
11b35193 1206#include "confdefs.h"
1207
1208int main() {
1209extern int testfunction(char *y, ...) __attribute__((format(printf,1,2)))
1210; return 0; }
1211EOF
620c146d 1212if { (eval echo configure:1213: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
11b35193 1213 rm -rf conftest*
1214 adns_cv_attribute_format=yes
1215else
1216 echo "configure: failed program was:" >&5
1217 cat conftest.$ac_ext >&5
1218 rm -rf conftest*
1219 adns_cv_attribute_format=no
1220fi
1221rm -f conftest*
1222
1223fi
1224
1225 if test "x$adns_cv_attribute_format" = xyes; then
1226 true
1227 echo "$ac_t""yes" 1>&6
1228 cat >> confdefs.h <<\EOF
1229#define HAVE_GNUC25_PRINTFFORMAT 1
1230EOF
1231
1232 else
1233 true
1234 echo "$ac_t""no" 1>&6
1235 fi
1236
1237 else
1238 true
1239 echo "$ac_t""no" 1>&6
1240 fi
1241
1242
1243
1244
1245
1246if test "${GCC-no}" = yes; then
1247 WARNS="-Wall -Wmissing-prototypes -Wwrite-strings -Wstrict-prototypes -Wcast-qual -Wpointer-arith"
1248else
1249 WARNS=
1250fi
1251
1252
1253
1254
1255
1256
1257
1258
1259SHLIBCC='$(CC) $(CFLAGS) -fpic'
1260MKSHLIB_1='$(CC) $(LDFLAGS) -shared -Wxl,soname=$(SONAME) -o'
1261MKSHLIB_2=''
1262MKSHLIB_3='-lc'
1263SHLIBFILE='libadns.so.$(MAJOR).$(MINOR)'
1264SHLIBSONAME='libadns.so.$(MAJOR)'
1265
1266trap '' 1 2 15
1267cat > confcache <<\EOF
1268# This file is a shell script that caches the results of configure
1269# tests run on this system so they can be shared between configure
1270# scripts and configure runs. It is not useful on other systems.
1271# If it contains results you don't want to keep, you may remove or edit it.
1272#
1273# By default, configure uses ./config.cache as the cache file,
1274# creating it if it does not exist already. You can give configure
1275# the --cache-file=FILE option to use a different cache file; that is
1276# what configure does when it calls configure scripts in
1277# subdirectories, so they share the cache.
1278# Giving --cache-file=/dev/null disables caching, for debugging configure.
1279# config.status only pays attention to the cache file if you give it the
1280# --recheck option to rerun configure.
1281#
1282EOF
1283# The following way of writing the cache mishandles newlines in values,
1284# but we know of no workaround that is simple, portable, and efficient.
1285# So, don't put newlines in cache variables' values.
1286# Ultrix sh set writes to stderr and can't be redirected directly,
1287# and sets the high bit in the cache file unless we assign to the vars.
1288(set) 2>&1 |
1289 case `(ac_space=' '; set) 2>&1` in
1290 *ac_space=\ *)
1291 # `set' does not quote correctly, so add quotes (double-quote substitution
1292 # turns \\\\ into \\, and sed turns \\ into \).
1293 sed -n \
1294 -e "s/'/'\\\\''/g" \
1295 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1296 ;;
1297 *)
1298 # `set' quotes correctly as required by POSIX, so do not add quotes.
1299 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1300 ;;
1301 esac >> confcache
1302if cmp -s $cache_file confcache; then
1303 :
1304else
1305 if test -w $cache_file; then
1306 echo "updating cache $cache_file"
1307 cat confcache > $cache_file
1308 else
1309 echo "not updating unwritable cache $cache_file"
1310 fi
1311fi
1312rm -f confcache
1313
1314trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1315
1316test "x$prefix" = xNONE && prefix=$ac_default_prefix
1317# Let make expand exec_prefix.
1318test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1319
1320# Any assignment to VPATH causes Sun make to only execute
1321# the first set of double-colon rules, so remove it if not needed.
1322# If there is a colon in the path, we need to keep it.
1323if test "x$srcdir" = x.; then
1324 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1325fi
1326
1327trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1328
1329DEFS=-DHAVE_CONFIG_H
1330
1331# Without the "./", some shells look in PATH for config.status.
1332: ${CONFIG_STATUS=./config.status}
1333
1334echo creating $CONFIG_STATUS
1335rm -f $CONFIG_STATUS
1336cat > $CONFIG_STATUS <<EOF
1337#! /bin/sh
1338# Generated automatically by configure.
1339# Run this file to recreate the current configuration.
1340# This directory was configured as follows,
1341# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1342#
1343# $0 $ac_configure_args
1344#
1345# Compiler output produced by configure, useful for debugging
1346# configure, is in ./config.log if it exists.
1347
1348ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1349for ac_option
1350do
1351 case "\$ac_option" in
1352 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1353 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1354 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1355 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1356 echo "$CONFIG_STATUS generated by autoconf version 2.12"
1357 exit 0 ;;
1358 -help | --help | --hel | --he | --h)
1359 echo "\$ac_cs_usage"; exit 0 ;;
1360 *) echo "\$ac_cs_usage"; exit 1 ;;
1361 esac
1362done
1363
1364ac_given_srcdir=$srcdir
1365
9579019a 1366trap 'rm -fr `echo "settings.make Makefile
1367 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1368 src/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
11b35193 1369EOF
1370cat >> $CONFIG_STATUS <<EOF
1371
1372# Protect against being on the right side of a sed subst in config.status.
1373sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1374 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1375$ac_vpsub
1376$extrasub
1377s%@CFLAGS@%$CFLAGS%g
1378s%@CPPFLAGS@%$CPPFLAGS%g
1379s%@CXXFLAGS@%$CXXFLAGS%g
1380s%@DEFS@%$DEFS%g
1381s%@LDFLAGS@%$LDFLAGS%g
1382s%@LIBS@%$LIBS%g
1383s%@exec_prefix@%$exec_prefix%g
1384s%@prefix@%$prefix%g
1385s%@program_transform_name@%$program_transform_name%g
1386s%@bindir@%$bindir%g
1387s%@sbindir@%$sbindir%g
1388s%@libexecdir@%$libexecdir%g
1389s%@datadir@%$datadir%g
1390s%@sysconfdir@%$sysconfdir%g
1391s%@sharedstatedir@%$sharedstatedir%g
1392s%@localstatedir@%$localstatedir%g
1393s%@libdir@%$libdir%g
1394s%@includedir@%$includedir%g
1395s%@oldincludedir@%$oldincludedir%g
1396s%@infodir@%$infodir%g
1397s%@mandir@%$mandir%g
1398s%@CC@%$CC%g
9579019a 1399s%@RANLIB@%$RANLIB%g
11b35193 1400s%@WARNS@%$WARNS%g
1401s%@SHLIBCC@%$SHLIBCC%g
1402s%@MKSHLIB_1@%$MKSHLIB_1%g
1403s%@MKSHLIB_2@%$MKSHLIB_2%g
1404s%@MKSHLIB_3@%$MKSHLIB_3%g
1405s%@SHLIBFILE@%$SHLIBFILE%g
1406s%@SHLIBSONAME@%$SHLIBSONAME%g
1407
1408CEOF
1409EOF
1410
1411cat >> $CONFIG_STATUS <<\EOF
1412
1413# Split the substitutions into bite-sized pieces for seds with
1414# small command number limits, like on Digital OSF/1 and HP-UX.
1415ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1416ac_file=1 # Number of current file.
1417ac_beg=1 # First line for current file.
1418ac_end=$ac_max_sed_cmds # Line after last line for current file.
1419ac_more_lines=:
1420ac_sed_cmds=""
1421while $ac_more_lines; do
1422 if test $ac_beg -gt 1; then
1423 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1424 else
1425 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1426 fi
1427 if test ! -s conftest.s$ac_file; then
1428 ac_more_lines=false
1429 rm -f conftest.s$ac_file
1430 else
1431 if test -z "$ac_sed_cmds"; then
1432 ac_sed_cmds="sed -f conftest.s$ac_file"
1433 else
1434 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1435 fi
1436 ac_file=`expr $ac_file + 1`
1437 ac_beg=$ac_end
1438 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1439 fi
1440done
1441if test -z "$ac_sed_cmds"; then
1442 ac_sed_cmds=cat
1443fi
1444EOF
1445
1446cat >> $CONFIG_STATUS <<EOF
1447
9579019a 1448CONFIG_FILES=\${CONFIG_FILES-"settings.make Makefile
1449 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1450"}
11b35193 1451EOF
1452cat >> $CONFIG_STATUS <<\EOF
1453for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1454 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1455 case "$ac_file" in
1456 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1457 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1458 *) ac_file_in="${ac_file}.in" ;;
1459 esac
1460
1461 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1462
1463 # Remove last slash and all that follows it. Not all systems have dirname.
1464 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1465 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1466 # The file is in a subdirectory.
1467 test ! -d "$ac_dir" && mkdir "$ac_dir"
1468 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1469 # A "../" for each directory in $ac_dir_suffix.
1470 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1471 else
1472 ac_dir_suffix= ac_dots=
1473 fi
1474
1475 case "$ac_given_srcdir" in
1476 .) srcdir=.
1477 if test -z "$ac_dots"; then top_srcdir=.
1478 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1479 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1480 *) # Relative path.
1481 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1482 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1483 esac
1484
1485
1486 echo creating "$ac_file"
1487 rm -f "$ac_file"
1488 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1489 case "$ac_file" in
1490 *Makefile*) ac_comsub="1i\\
1491# $configure_input" ;;
1492 *) ac_comsub= ;;
1493 esac
1494
1495 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1496 sed -e "$ac_comsub
1497s%@configure_input@%$configure_input%g
1498s%@srcdir@%$srcdir%g
1499s%@top_srcdir@%$top_srcdir%g
1500" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1501fi; done
1502rm -f conftest.s*
1503
1504# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1505# NAME is the cpp macro being defined and VALUE is the value it is being given.
1506#
1507# ac_d sets the value in "#define NAME VALUE" lines.
1508ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1509ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1510ac_dC='\3'
1511ac_dD='%g'
1512# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1513ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1514ac_uB='\([ ]\)%\1#\2define\3'
1515ac_uC=' '
1516ac_uD='\4%g'
1517# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1518ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1519ac_eB='$%\1#\2define\3'
1520ac_eC=' '
1521ac_eD='%g'
1522
1523if test "${CONFIG_HEADERS+set}" != set; then
1524EOF
1525cat >> $CONFIG_STATUS <<EOF
1526 CONFIG_HEADERS="src/config.h"
1527EOF
1528cat >> $CONFIG_STATUS <<\EOF
1529fi
1530for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1531 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1532 case "$ac_file" in
1533 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1534 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1535 *) ac_file_in="${ac_file}.in" ;;
1536 esac
1537
1538 echo creating $ac_file
1539
1540 rm -f conftest.frag conftest.in conftest.out
1541 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1542 cat $ac_file_inputs > conftest.in
1543
1544EOF
1545
1546# Transform confdefs.h into a sed script conftest.vals that substitutes
1547# the proper values into config.h.in to produce config.h. And first:
1548# Protect against being on the right side of a sed subst in config.status.
1549# Protect against being in an unquoted here document in config.status.
1550rm -f conftest.vals
1551cat > conftest.hdr <<\EOF
1552s/[\\&%]/\\&/g
1553s%[\\$`]%\\&%g
1554s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1555s%ac_d%ac_u%gp
1556s%ac_u%ac_e%gp
1557EOF
1558sed -n -f conftest.hdr confdefs.h > conftest.vals
1559rm -f conftest.hdr
1560
1561# This sed command replaces #undef with comments. This is necessary, for
1562# example, in the case of _POSIX_SOURCE, which is predefined and required
1563# on some systems where configure will not decide to define it.
1564cat >> conftest.vals <<\EOF
1565s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1566EOF
1567
1568# Break up conftest.vals because some shells have a limit on
1569# the size of here documents, and old seds have small limits too.
1570
1571rm -f conftest.tail
1572while :
1573do
1574 ac_lines=`grep -c . conftest.vals`
1575 # grep -c gives empty output for an empty file on some AIX systems.
1576 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1577 # Write a limited-size here document to conftest.frag.
1578 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1579 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1580 echo 'CEOF
1581 sed -f conftest.frag conftest.in > conftest.out
1582 rm -f conftest.in
1583 mv conftest.out conftest.in
1584' >> $CONFIG_STATUS
1585 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1586 rm -f conftest.vals
1587 mv conftest.tail conftest.vals
1588done
1589rm -f conftest.vals
1590
1591cat >> $CONFIG_STATUS <<\EOF
1592 rm -f conftest.frag conftest.h
1593 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1594 cat conftest.in >> conftest.h
1595 rm -f conftest.in
1596 if cmp -s $ac_file conftest.h 2>/dev/null; then
1597 echo "$ac_file is unchanged"
1598 rm -f conftest.h
1599 else
1600 # Remove last slash and all that follows it. Not all systems have dirname.
1601 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1602 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1603 # The file is in a subdirectory.
1604 test ! -d "$ac_dir" && mkdir "$ac_dir"
1605 fi
1606 rm -f $ac_file
1607 mv conftest.h $ac_file
1608 fi
1609fi; done
1610
1611EOF
1612cat >> $CONFIG_STATUS <<EOF
1613
1614EOF
1615cat >> $CONFIG_STATUS <<\EOF
1616
1617exit 0
1618EOF
1619chmod +x $CONFIG_STATUS
1620rm -fr confdefs* $ac_clean_files
1621test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1622